#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModifySidfmdHostApps < ActiveRecord::Migration
  def change
    drop_table :sidfmd_host_apps
    drop_table :sidfmd_queue_lapps

    create_table :sidfmd_host_apps do |t|
      t.references :sidfmd_host, :index => true

      t.integer :product_id, :index => true
      t.integer :version_id, :index => true

      t.timestamps
    end

    create_table :sidfmd_queue_lapps do |t|
      t.references :sidfmd_queue, :index => true

      t.integer :product_id, :index => true
      t.integer :version_id, :index => true

      t.timestamps
    end

  end
end
