# -*- coding: utf-8 -*-

class CreateVmApikeys < ActiveRecord::Migration
  def change
    create_table :sidfmd_vm_apikeys do |t|
      t.references :user, foreign_key: true, index: true, null: false
      t.text :name, null: false
      t.text :api_key, default: nil, index: true
      # 有効期間(begin_date～end_date)
      t.date :begin_date, default: nil
      t.date :end_date, default: nil
      # 更新許可
      t.boolean :allow_update, default: false, null: false
    end
  end
end
