require File.expand_path('../../../test_helper', __FILE__)
require_relative('../../test_data/sidfmd_rule_data')
require_relative('../../test_data/sidfmd_category_data')
require_relative('../../test_data/sidfmd_lproduct_data')

class SidfmdRuleTest < ActiveSupport::TestCase
  include SidfmdRuleData, SidfmdCategoryData, SidfmdLproductData

  test "users_related_rule_info method" do
    param = {
      :role_admin => true,
      :user_category_ids => nil,
      :action => 'delete',
      :messages_necessary => false,
      :delete_user_ids => [10000],
    }
    ret = SidfmdRule.users_related_rule_info(param)
    assert_equal [], ret[:delete_chp_user_sub_ids]
  end

end
