#!/bin/bash

if [ "x$#" != "x3" ]; then
	echo "usage: $0 <ver1> <ver2> <filename>"
	exit 1
fi
ver1=$1
ver2=$2
fname=$3

if [ "x$ver1" == "xcurrent" ]; then
	diff -urs `find sidfm-vm-server.$ver1 -name $fname` `find sidfm-vm-server.v$ver2 -name $fname`
elif [ "x$ver2" == "xcurrent" ]; then
	diff -urs `find sidfm-vm-server.v$ver1 -name $fname` `find sidfm-vm-server.$ver2 -name $fname`
else
	diff -urs `find sidfm-vm-server.v$ver1 -name $fname` `find sidfm-vm-server.v$ver2 -name $fname`
fi

