/* coding: utf-8 */
/* Copyright (C) 2020 SofTek Systems, Inc. */

$(function(){
    var page_path = location.pathname;
    var target_urls = JSON.parse($('#display_page_urls').val());
    if( target_urls.includes(page_path) ){
        var password_policy_settings = JSON.parse($('#sidfm_password_policy_settings').val())
        var password_policy_elms = password_policy_settings.map(function(policy){
            return '<div>' + policy + '</div>'
        });
        var wrap = $('<div>').attr({
            'id': 'password-policy-area-on-redmine-page',
            'class': 'custom-additional-item'
        });
        var text_elm = $('<div>').text('パスワードポリシー').attr({
            'id': 'show-password-policy-on-redmine-page',
            'class': 'position-relative password-policy-btn',
            'href': 'password_policy',
            'data-policy': password_policy_elms.join(''),
        });
        wrap.append(text_elm);
        if( page_path.includes('my/password') ){
            $('#content').find('.box').append(wrap);
        }else{
            if( $('#mail:visible').length === 0 ){
                $('#content').find('.tabular').append(wrap);
            }
        }
        /*$('#show-password-policy-on-redmine-page').on('click', function(e){
            e.preventDefault();
            var button = $(this);
            var password_policy = button.attr('data-policy');
            var popup = $('<div>').attr({
                'id': 'popup-for-password-policy-on-redmine-page',
                'class': 'position-absolute',
            });
            var inner = $('<div>').attr({'class': 'position-relative balloon-popup-inner'});
            inner.html(password_policy);
            popup.append(inner);
            button.append(popup);
            button.removeClass('password-policy-btn-hover').addClass('.password-policy-btn-clicked');
        });*/
        $('#show-password-policy-on-redmine-page').on('mouseenter', function(){
            $(this).addClass('password-policy-btn-hover');
            var button = $(this);
            var password_policy = button.attr('data-policy');
            var popup = $('<div>').attr({
                'id': 'popup-for-password-policy-on-redmine-page',
                'class': 'position-absolute',
            });
            var inner = $('<div>').attr({'class': 'position-relative balloon-popup-inner'});
            inner.html(password_policy);
            popup.append(inner);
            button.append(popup);
        });
        $('#show-password-policy-on-redmine-page').on('mouseleave', function(){
            $(this).removeClass('password-policy-btn-hover');
            $('#popup-for-password-policy-on-redmine-page').remove();
        });
    }

});
