#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class CreateSidfmdHosts < ActiveRecord::Migration
  def change
    create_table :sidfmd_hosts do |t|
      t.string :hostname

      # 以下の2つはライセンスマネージャと同期を取ること。
      t.string :host_apikey
      t.boolean :flg_delete, default: false, null: false

      t.integer :lock_version, default: 0, null: false
      t.timestamps
    end
  end
end
