#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class CreateSidfmdQueues < ActiveRecord::Migration
  def change
    create_table :sidfmd_queues do |t|
      t.references :sidfmd_host, :index => true

      t.string :digest

      t.timestamps
    end

    create_table :sidfmd_queue_dists do |t|
      t.references :sidfmd_queue, :index => true

      t.string :ident
      t.string :version
      t.string :name

      t.timestamps
    end

    create_table :sidfmd_queue_pkgs do |t|
      t.references :sidfmd_queue, :index => true

      t.string :pkg

      t.timestamps
    end

    create_table :sidfmd_queue_apps do |t|
      t.references :sidfmd_queue, :index => true

      t.string :name
      t.string :version
      t.string :path

      t.timestamps
    end

  end
end
