#!/usr/bin/env ruby
# -*- coding: utf-8 -*- 

class ModifySidfmdProductsVersions < ActiveRecord::Migration
  def change
    change_table :sidfmd_products do |t|
      t.boolean :is_support_end
      t.date :support_date
      t.datetime :create_datetime
      t.datetime :update_datetime
    end
    change_table :sidfmd_versions do |t|
      t.remove :deprecated
      t.remove :deleted
      t.boolean :is_support_end
      t.date :release_date
      t.date :support_date
      t.date :eol_date
    end
  end
end
