# -*- coding: utf-8 -*-

class CreateChpUsers < ActiveRecord::Migration

  def up
    # ルール条件:履歴追加に、ユーザ指定・ユーザ除外の機能を追加する

    add_column :sidfmd_rule_c_history_posts, :flg_exclusion, :boolean, :default => false, :null => false

    create_table :sidfmd_rule_chp_user_subs do |t|
      t.references :sidfmd_rule_c_history_post, foreign_key: true, index: { name: :index_sidfmd_rule_chp_user_subs }, null: false

      t.references :user, foreign_key: true, index: true, null: false 
    end
  end

  def down
    drop_table :sidfmd_rule_chp_user_subs
    remove_column :sidfmd_rule_c_history_posts, :flg_exclusion
  end

end
